esphome:
  name: gree-ir-blaster
  friendly_name: Gree IR Blaster

esp8266:
  board: d1_mini

external_components:
  - source:
      type: local
      path: components

wifi:
  ssid: !secret wifi_ssid
  password: !secret wifi_password
  ap:
    ssid: "Gree-IR Fallback"
    password: !secret fallback_password

logger:
api:
ota:
  platform: esphome

remote_transmitter:
  id: tx
  pin: D5
  carrier_duty_percent: 50%

climate:
  - platform: gree_ir
    name: "Klimatyzacja"
    transmitter_id: tx
